List all webhooks
curl --request GET \
--url https://api.sim.dune.com/beta/evm/subscriptions/webhooks \
--header 'X-Sim-Api-Key: <api-key>'const options = {method: 'GET', headers: {'X-Sim-Api-Key': '<api-key>'}};
fetch('https://api.sim.dune.com/beta/evm/subscriptions/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sim.dune.com/beta/evm/subscriptions/webhooks"
headers = {"X-Sim-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"webhooks": [
{
"id": "019a81c2-d84b-7141-85e8-86b072a59142",
"team_id": "01K7RVMRT0BXQ9DRC8BK87MK39",
"name": "Balance Changes Monitor",
"type": "balances",
"url": "https://example.com/webhooks/balances",
"active": true,
"created_at": "2025-11-14T09:47:01.580104Z",
"updated_at": "2025-11-14T09:47:01.580104Z",
"chain_ids": [
1,
8453,
84532
],
"asset_type": "erc20",
"token_address": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"
},
{
"id": "019a81c2-e95c-7241-95f9-97c183b6a253",
"team_id": "01K7RVMRT0BXQ9DRC8BK87MK39",
"name": "Swap Activity Tracker",
"type": "activities",
"url": "https://example.com/webhooks/activities",
"active": true,
"created_at": "2025-11-14T10:15:22.123456Z",
"updated_at": "2025-11-14T10:15:22.123456Z",
"chain_ids": [
1,
8453
],
"activity_type": "swap"
},
{
"id": "019a81c2-f86d-7351-a6fa-a8d294c7b364",
"team_id": "01K7RVMRT0BXQ9DRC8BK87MK39",
"name": "Incoming Transactions Monitor",
"type": "transactions",
"url": "https://example.com/webhooks/transactions",
"active": true,
"created_at": "2025-11-14T10:30:45.789012Z",
"updated_at": "2025-11-14T10:30:45.789012Z",
"chain_ids": [
1
],
"transaction_type": "receiver"
}
]
}{
"error": "Too many requests. Please contact sales@dune.com to increase your limit."
}Subscriptions
List Webhooks
Retrieve a paginated list of all webhook subscriptions for your team.
GET
/
beta
/
evm
/
subscriptions
/
webhooks
List all webhooks
curl --request GET \
--url https://api.sim.dune.com/beta/evm/subscriptions/webhooks \
--header 'X-Sim-Api-Key: <api-key>'const options = {method: 'GET', headers: {'X-Sim-Api-Key': '<api-key>'}};
fetch('https://api.sim.dune.com/beta/evm/subscriptions/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sim.dune.com/beta/evm/subscriptions/webhooks"
headers = {"X-Sim-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"webhooks": [
{
"id": "019a81c2-d84b-7141-85e8-86b072a59142",
"team_id": "01K7RVMRT0BXQ9DRC8BK87MK39",
"name": "Balance Changes Monitor",
"type": "balances",
"url": "https://example.com/webhooks/balances",
"active": true,
"created_at": "2025-11-14T09:47:01.580104Z",
"updated_at": "2025-11-14T09:47:01.580104Z",
"chain_ids": [
1,
8453,
84532
],
"asset_type": "erc20",
"token_address": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"
},
{
"id": "019a81c2-e95c-7241-95f9-97c183b6a253",
"team_id": "01K7RVMRT0BXQ9DRC8BK87MK39",
"name": "Swap Activity Tracker",
"type": "activities",
"url": "https://example.com/webhooks/activities",
"active": true,
"created_at": "2025-11-14T10:15:22.123456Z",
"updated_at": "2025-11-14T10:15:22.123456Z",
"chain_ids": [
1,
8453
],
"activity_type": "swap"
},
{
"id": "019a81c2-f86d-7351-a6fa-a8d294c7b364",
"team_id": "01K7RVMRT0BXQ9DRC8BK87MK39",
"name": "Incoming Transactions Monitor",
"type": "transactions",
"url": "https://example.com/webhooks/transactions",
"active": true,
"created_at": "2025-11-14T10:30:45.789012Z",
"updated_at": "2025-11-14T10:30:45.789012Z",
"chain_ids": [
1
],
"transaction_type": "receiver"
}
]
}{
"error": "Too many requests. Please contact sales@dune.com to increase your limit."
}Returns a list of all webhook subscriptions associated with your authenticated team. Use this endpoint to view all your active and inactive webhooks, along with their configurations.
Pagination
This endpoint uses cursor-based pagination. Use thelimit parameter to control page size, and pass the next_offset value from the response as the offset parameter to retrieve the next page.Authorizations
API key for authentication. Obtain your key from the Dune dashboard at sim.dune.com.
Query Parameters
Number of results to return. Defaults to 100.
The offset to paginate through result sets; this is a cursor being passed from the previous response.
Was this page helpful?